Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Class LocalizedNameImpl

    java.lang.Object
      org.opensaml.xml.AbstractXMLObject
          org.opensaml.xml.validation.AbstractValidatingXMLObject
              org.opensaml.common.impl.AbstractSAMLObject
                  edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedNameImpl

All Implemented Interfaces:
  LocalizedName, org.opensaml.common.SAMLObject, org.opensaml.xml.LangBearing, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

Direct Known Subclasses:
  DescriptionImpl, DisplayNameImpl

    public class LocalizedNameImpl

extends org.opensaml.common.impl.AbstractSAMLObject
implements LocalizedName

Concrete implementation of `LocalizedName`.

Field Summary

Fields inherited from interface edu.internet2.middleware.shibboleth.wayf.idpdisco.LocalizedName
`TYPE_LOCAL_NAME`

Fields inherited from interface org.opensaml.xml.LangBearing
`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

Constructor Summary
`protected` | `LocalizedNameImpl(String namespaceURI, String elementLocalName, String namespacePrefix)` Constructor.

Method Summary
`org.opensaml.saml2.metadata.LocalizedString` | `getName()` Gets the name.
`List<org.opensaml.xml.XMLObject>` | `getOrderedChildren()`
`String` | `getXMLLang()`
`void` | `setName(org.opensaml.saml2.metadata.LocalizedString newName)` Sets the name.
`void` | `setXMLLang(String newLang)`

Methods inherited from class org.opensaml.common.impl.AbstractSAMLObject
`equals, prepareForAssignment`

Methods inherited from class org.opensaml.xml.validation.AbstractValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate, validateChildren`

Methods inherited from class org.opensaml.xml.AbstractXMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Constructor Detail

### LocalizedNameImpl

    protected LocalizedNameImpl(String namespaceURI,
                                String elementLocalName,
                                String namespacePrefix)

  Constructor.

  Parameters:
    `namespaceURI` - the namespaceURI
    `elementLocalName` - the elementLocalName
    `namespacePrefix` - the namespacePrefix

Method Detail

### getName

    public org.opensaml.saml2.metadata.LocalizedString getName()

  Gets the name.

  Specified by:
    `getName` in interface `LocalizedName`
  Returns:
    the name

### setName

    public void setName(org.opensaml.saml2.metadata.LocalizedString newName)

  Sets the name.

  Specified by:
    `setName` in interface `LocalizedName`
  Parameters:
    `newName` - new name

### getXMLLang

    public String getXMLLang()

  Specified by:
    `getXMLLang` in interface `org.opensaml.xml.LangBearing`

### setXMLLang

    public void setXMLLang(String newLang)

  Specified by:
    `setXMLLang` in interface `org.opensaml.xml.LangBearing`

### getOrderedChildren

    public List<org.opensaml.xml.XMLObject> getOrderedChildren()

  Specified by:
    `getOrderedChildren` in interface `org.opensaml.xml.XMLObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.